#
# spec file for package asterisk (Version 1.2.13)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl alsa alsa-devel attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison blocxx bzip2 coreutils cpio cpp cpp41 cracklib curl curl-devel cvs cyrus-sasl db diffutils e2fsprogs expat file filesystem fillup findutils flex gawk gcc gcc-c++ gcc41 gcc41-c++ gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv irqbalance kernel-default klogd krb5 less libacl libattr libcom_err libgcc41 libgsm libgsm-devel libidn libidn-devel libjpeg libjpeg-devel libltdl libmudflap41 libnscd libogg libpri libstdc++-devel libstdc++41 libstdc++41-devel libtiff libtiff-devel libtool libvolume_id libxcrypt libzio limal limal-bootloader limal-perl linux-kernel-headers m4 make man mdadm mkinitrd mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl openssl-devel pam pam-modules patch pcre perl perl-Bootloader perl-gettext permissions popt postgresql-devel postgresql-libs procinfo procps psmisc pwdutils rcs readline reiserfs rpm sed spandsp speex speex-devel strace sysvinit tar tcpd texinfo timezone udev unixODBC unixODBC-devel unzip util-linux vim zaptel zaptel-kmp-default zlib zlib-devel


Name:           asterisk
BuildRequires:  alsa-devel curl-devel expat gcc-c++ libgsm-devel libpri libtiff-devel postgresql-devel spandsp speex-devel unixODBC-devel
%ifnarch s390 s390x
BuildRequires:  zaptel
%endif
Url:            http://www.asterisk.org
%define       bristuff bristuff-0.3.0-PRE-1s
%define       build_h323 0
Summary:        The Asterisk Open Source PBX
Version:        1.2.13
Release:        31
License:        BSD 3-Clause; GPL v2 or later
PreReq:         /usr/sbin/useradd
Group:          Productivity/Telephony/Servers
Source0:        %name-%version.tar.bz2
Source2:        asterisk-init
Patch0:         asterisk.patch
Patch1:         asterisk-%bristuff.patch.bz2
Patch2:         asterisk-spandsp.patch
Patch3:         asterisk-db1-__P.patch
Patch4:         asterisk-gsm.patch
Patch5:         asterisk-CVE-2007-1306.patch
Patch6:         asterisk-CVE-2007-1561.patch
Patch7:         asterisk-CVE-2007-1594.patch
Patch8:         asterisk-CVE-2007-2294.patch
Patch9:         asterisk-CVE-2007-2297.patch
Patch10:        asterisk-CVE-2007-2488.patch
Patch11:        asterisk-CVE-2007-3762.patch
Patch12:        asterisk-CVE-2007-3763.patch
Patch13:        asterisk-CVE-2007-3764.patch
Patch14:        asterisk-AST-2007-026.patch
Patch15:        asterisk-AST-2007-027.patch
Patch16:        asterisk-CVE-2008-1332.patch
Patch17:        asterisk-CVE-2008-1923.patch
Patch18:        asterisk-CVE-2008-2119.patch
Patch19:        asterisk-CVE-2008-3263.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Asterisk is a complete PBX in software. It provides all of the features
you would expect from a PBX and more. Asterisk does voice over IP in
three protocols and can interoperate with almost all standards-based
telephony equipment using relatively inexpensive hardware.

Asterisk provides voicemail services with directory, call conferencing,
interactive voice response, and call queuing. It has support for
three-way calling, caller ID services, ADSI, SIP, and H.323 (as both
client and gateway).

Documentation is available on the Asterisk home page
(http://www.asterisk.org) and on the Asterisk wiki
(http://www.voip-info.org/wiki-Asterisk).



Authors:
--------
    Mark Spencer <markster@digium.com>

%debug_package
%package alsa
License:        GPL v2 or later
Summary:        Soundcard Module for Asterisk
Group:          Productivity/Telephony/Servers
PreReq:         asterisk

%description alsa
This package allows Asterisk to use a soundcard supported by ALSA as a
telephone.



Authors:
--------
    Mark Spencer <markster@digium.com>

%if %build_h323

%package h323
License:        GPL v2 or later
Summary:        Voice over IP Module for Asterisk
Group:          Productivity/Telephony/Servers
PreReq:         asterisk

%description h323
This package adds support for the H.323 voice over IP (VoIP) protocol
to Asterisk.

Support for the SIP and IAX2 protocols is included in the asterisk base
package.



Authors:
--------
    Mark Spencer <markster@digium.com>

%endif

%package odbc
License:        GPL v2 or later
Summary:        Database Module for Asterisk
Group:          Productivity/Telephony/Servers
PreReq:         asterisk

%description odbc
This package allows Asterisk to use read configuration data from, and
write call logs to ODBC databases.



Authors:
--------
    Mark Spencer <markster@digium.com>

%package pgsql
License:        GPL v2 or later
Summary:        Database Module for Asterisk
Group:          Productivity/Telephony/Servers
PreReq:         asterisk

%description pgsql
This package allows Asterisk to use read configuration data from, and
write call logs to PostgreSQL databases.



Authors:
--------
    Mark Spencer <markster@digium.com>

%package spandsp
License:        GPL v2 or later
Summary:        Softfax Module for Asterisk
Group:          Productivity/Telephony/Servers
PreReq:         asterisk

%description spandsp
This package allows Asterisk to send/receive faxes.



Authors:
--------
    Steve Underwood <steveu@coppice.org>

%package zaptel
License:        GPL v2 or later
Summary:        Telephony Hardware Module for Asterisk
Group:          Productivity/Telephony/Servers
PreReq:         asterisk

%description zaptel
This module allows Asterisk to use telephony hardware that is supported
by the zaptel kernel drivers. Supported hardware ranges from FXO and
FXS cards over ISDN BRI cards to T1, and E1 cards with up to four
interfaces.

See the zaptel package for details.



Authors:
--------
    Mark Spencer <markster@digium.com>

%prep
%setup -q
rm -rf codecs/gsm
find -name '*.reg' | xargs rm
find | xargs file --mime | fgrep audio/mpeg && {
  : "#############################################"
  : "### Remove all MP3 files from the tarball ###"
  : "#############################################"
  exit 1
}
%patch0
%patch1 -p1
%patch2
pushd db1-ast
%patch3
popd
%patch4
%patch5
%patch6
%patch7
%patch8
%patch9
%patch10
%patch11
%patch12
%patch13
%patch14
%patch15
%patch16
%patch17
%patch18
%patch19

%build
# build asterisk
%if %build_h323
make -C channels/h323 \
	OPTIMIZE="%optflags" \
	OPENH323DIR=/usr/include/openh323 \
	libdir=%_libdir
%endif
make %{?jobs:-j%jobs "MAKE=make -j%jobs"} OPTIMIZE="%optflags -fno-strict-aliasing" libdir=%_libdir

%install
# install asterisk
make ASTVARRUNDIR=/var/run/asterisk DESTDIR=%buildroot install samples
%if %build_h323
make -C channels/h323 INSTALL_PREFIX=%buildroot samples
%endif
mkdir -p %buildroot/etc/init.d
install -m755 %SOURCE2 %buildroot/etc/init.d/asterisk
ln -s /etc/init.d/asterisk %buildroot/usr/sbin/rcasterisk
# asterisk-capi is a separate package
rm -f %buildroot/etc/asterisk/capi.conf

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,asterisk,root,750)
/var/log/asterisk
/var/run/asterisk
%defattr(-,root,root,-)
%doc BUGS CREDITS HARDWARE LICENSE README.* SECURITY
%doc ChangeLog CHANGES COPYING UPGRADE.txt
%doc doc/*
%dir /etc/asterisk
%config(noreplace)%attr(640,asterisk,root) /etc/asterisk/*
%config(noreplace) /etc/init.d/asterisk
%_includedir/*
/usr/lib/asterisk
/usr/sbin/*
%_mandir/*/*
%exclude /usr/lib/asterisk/modules/*alsa*
%exclude /etc/asterisk/alsa.conf
%if %build_h323
%exclude /usr/lib/asterisk/modules/*h323*
%exclude /etc/asterisk/h323.conf
%endif
%exclude /usr/lib/asterisk/modules/*odbc*
%exclude /etc/asterisk/*odbc*
%exclude /usr/lib/asterisk/modules/*pgsql*
%exclude /etc/asterisk/*pgsql*
%exclude /usr/lib/asterisk/modules/*fax*
%exclude /usr/lib/asterisk/modules/*dtmfto*
%exclude /usr/lib/asterisk/modules/*zap*
%exclude /etc/asterisk/zapata.conf
%defattr(-,asterisk,root,-)
/var/lib/asterisk
/var/spool/asterisk

%files alsa
%defattr(-,root,root,-)
/usr/lib/asterisk/modules/*alsa*
%config(noreplace)%attr(640,asterisk,root)/etc/asterisk/alsa.conf
%if %build_h323

%files h323
%defattr(-,root,root,-)
/usr/lib/asterisk/modules/*h323*
%config(noreplace)%attr(640,asterisk,root)/etc/asterisk/h323.conf
%endif

%files odbc
%defattr(-,root,root,-)
/usr/lib/asterisk/modules/*odbc*
%config(noreplace)%attr(640,asterisk,root)/etc/asterisk/*odbc*

%files pgsql
%defattr(-,root,root,-)
/usr/lib/asterisk/modules/*pgsql*
%config(noreplace)%attr(640,asterisk,root)/etc/asterisk/*pgsql*

%files spandsp
%defattr(-,root,root,-)
/usr/lib/asterisk/modules/*fax*
/usr/lib/asterisk/modules/*dtmfto*

%files zaptel
%defattr(-,root,root,-)
/usr/lib/asterisk/modules/*zap*
%config(noreplace)%attr(640,asterisk,root)/etc/asterisk/zapata.conf

%pre
useradd -g dialout -r -d /var/lib/asterisk -s /bin/false \
	-c "Asterisk PBX" asterisk 2>/dev/null || :

%changelog
* Wed Aug 13 2008 - max@suse.de
- Several security fixes:
  * 3-way handshake in IAX2 incomplete
  (CVE-2008-1897, AST-2008-006, bnc#383144)
  * denial-of-service via a SIP INVITE message
  (CVE-2008-2119, AST-2008-008, bnc#397831)
  * Asterisk IAX 'POKE' resource exhaustion
  (CVE-2008-3263, AST-2008-010, bnc#411479)
  * Traffic amplification in IAX2
  (CVE-2008-3264, AST-2008-011, bnc#411480)
* Wed Apr 09 2008 - max@suse.de
- Security fix: bnc#372239, CVE-2008-1332, AST-2008-003:
  Unauthenticated calls allowed from SIP channel driver
* Thu Feb 21 2008 - max@suse.de
- Fix two vulnerabilities:
- CVE-2007-6170, AST-2007-026: SQL injection
- CVE-2007-6430, AST-2007-027: authentication bypass
* Wed Jul 18 2007 - max@suse.de
- Fix multiple vulnerabilities:
- CVE-2007-3762: Stack buffer overflow in IAX2 channel driver
- CVE-2007-3763: Remote Crash Vulnerability in IAX2 channel driver
- CVE-2007-3764: Remote crash vulnerability in Skinny channel
  driver
* Wed May 30 2007 - max@suse.de
- Fixed multiple security issues:
- CVE-2007-1306, CVE-2007-1561, CVE-2007-1594 (#251177)
- CVE-2007-2294, CVE-2007-2297, (#269387)
- CVE-2007-2488 (#271783)
* Thu Nov 16 2006 - max@suse.de
- Removed the mp3 files from the tarball and added a check to the
  spec file to prevent forgetting it again at the next update.
- Fixed app_dtmftotext to work with the latest spandsp.
* Fri Oct 20 2006 - max@suse.de
- New versions: asterisk-1.2.13, bristuff-0.3.0-PRE-1s.
- Fixes a heap overflow in chan_skinny (#213579).
* Fri Jul 14 2006 - max@suse.de
- New versions: asterisk-1.2.9.1, bristuff-0.3.0-PRE-1q:
- Fixes a buffer overflow in chan_iax.c (#182333, CVE-2006-2898).
- Many more enhancements and bug fixes.
- Use the libgsm package instead of builtin copy (#102354,
  asterisk-gsm.patch).
* Thu Apr 27 2006 - max@suse.de
- Removed example mp3 files from the source tarball. This makes
  the source and binary package considerably smaller.
  (Bug #118226)
* Mon Apr 24 2006 - max@suse.de
- Fixed a buffer overflow in format_jpeg.c.
  (Bug #168274, CVE-2006-1827)
* Mon Mar 20 2006 - max@suse.de
- New versions: asterisk-1.2.5, bristuff-0.3.0-PRE-1k:
- Makefile: Bug 6638 - Use POSIX command for Solaris
- build_tools/make_build_h: Bug 6638 - Change from a historic BSD
  command to a POSIX command for determining username
- asterisk.c: Bug 6637 - Fixes for Solaris
- Makefile: If debugging, the frame pointer is helpful
- res/res_monitor.c: fix inaccurate ack message to ChangeMonitor
  action (issue #6630)
- asterisk.sgml: make the terminology used in the synopsis match
  the option description
- asterisk.sgml: add the -L option to the synopsis on the man page
- cdr/cdr_manager.c, cdr/cdr_tds.c, res/res_config_odbc.c,
  include/asterisk/cdr.h, cdr/cdr_pgsql.c, cdr/cdr_odbc.c, cdr.c:
  Bug 6615 - Fix 64bit conversion errors by using a long int
- build_tools/make_svn_branch_name: Bug 6618 - Solaris compatibility fix
- channels/chan_iax2.c: fix the output that indicates whether
  qualify smoothing is on or not (issue #6608)
- asterisk.c: adjust the keys directory when astvarlibdir is
  specified in asterisk.conf (issue #6602)
- res/res_agi.c: add a missing newline in the agi app description
- cli.c: don't try to print the help text for a CLI command when
  RESULT_SHOWUSAGE is returned if there is no help text available
  (issue #6604)
- channels/chan_sip.c: fix finding realtime peers that are not
  dynamic by ip address (issue #6093)
- channel.c: don't hang up the channel if its state is set to UP
  before we return from ast_call (issue #6569)
- include/asterisk/logger.h, logger.c: Bug 5950 - reenable queue
  log rotation; also, eliminate redundant code
- translate.c: Backport of fix to translation optimizations.
- translate.c: factor the number of translation steps required into
  translation path decisions, so that equal cost paths that require
  fewer translations are preferred
- translate.c: reformat code to fit guidelines remember which
  translation paths are multi-step paths
- channel.c: ensure that spy frame queueing is able to deal with
  translation failing for any reason (issue #6546)
- Makefile: set PWD properly
- dnsmgr.c, include/asterisk/linkedlists.h: backport list handling
  fix from trunk (solves memory leak problem in cdr variables and
  device state watchers) remove unused variable to silence
  compiler warning
- configs/iax.conf.sample: add comment warning people about trying
  to use hostnames/IPs in the sample config
- app.c: Would be nice to tell people to look in the right file to
  increase a constant
- channels/chan_sip.c: Handle ACKing properly (remove gratuitous -1)
- channels/chan_iax2.c: Fix numerous places in jitter buffer where
  freed memory is referenced
- formats/format_sln.c: Okay, fseek doesn't return an offset
- apps/app_voicemail.c: Fix possible lack of initialization of useadsi
- formats/format_sln.c: Bug 6539 - Division by two negates error flag
- app.c: Bug 6529 - memory leak in ast_play_and_prepend
- jitterbuf.c: fix incorrent index calculation for jitterbuffer history
  (issue #6517)
- apps/app_voicemail.c: when executing the Directory application
  from voicemail and a context is not specified, use the "default"
  context, not the channel's current context (issue #6507)
- channels/chan_agent.c: ensure that agents logged in via the
  manager interface are stored in the persistence database (related
  to issue #6301)
- funcs/func_enum.c: handle longer ENUM lookup results (issue #6476)
- res/res_agi.c: ensure that FastAGI launcher can handle system
  call interruption (issue #6449)
- apps/app_meetme.c: bug fix from 6485 with musiconhold not being
  turned off by app_meetme
- apps/app_queue.c: don't double-increment abandon counter for
  calls that are hung up while dialing members (issue #6289)
- apps/app_meetme.c: Fix stopstream in menus (bug #6137)
- asterisk.c: #ifdef the include too.
- asterisk.c: #ifdef'd the prctl fix to only try and compile on
  linux systems. Thanks rizzo for pointing this out.
- channels/chan_sip.c: when answering INVITE, don't send codecs the
  peer didn't offer (issue #6052)
- rtp.c: revert yesterday's temporary fix for issue #6052
- asterisk.c: Fixed my silly backport error from r9861
- asterisk.c: Merged changes from r9844 from /trunk. Make sure that
  PR_SET_DUMPABLE is set to make certain that we still dump core if
  Asterisk has setuid'd to run as non-root.
- rtp.c: don't try to use peer's dynamic codec numbers, it leads to
  duplication (issue #6052)
- apps/app_meetme.c: Don't set the formats before we stop
  indications. (issue #6380)
- channels/chan_mgcp.c, channels/chan_sip.c, pbx/pbx_dundi.c,
  channels/chan_iax2.c: fix memory leak from not destroying the
  scheduler context on module unload
- apps/app_page.c: fix due to CDR changes
- manager.c, pbx/pbx_spool.c, include/asterisk/channel.h,
  include/asterisk/pbx.h, include/asterisk/manager.h, channel.c,
  pbx.c: now that CDR is a loadable module, don't depend on it
  elsewhere (issue #6460)
- channels/chan_sip.c, cdr.c: clean up my mess from thread-starting
  change
- channels/chan_sip.c: kpfleming's fix from r9472 backported to 1.2
- channels/chan_mgcp.c, dnsmgr.c, channels/chan_sip.c,
  devicestate.c, channels/chan_modem.c, cdr.c: don't create monitor
  threads in detached mode, when we need to be able to
  pthread_join() them later if the module is unloaded (solve
  crash-on-unload problem for these channel modules)
- apps/app_voicemail.c: Revert behavior change from previous commit
  (fixes only)
- apps/app_voicemail.c: Backport 5929 to 1.2
- apps/Makefile: add another location for postgresql headers (issue
  [#6419])
- channels/chan_iax2.c: reload peercontext on iax2 reload (issue #6442)
- cdr/Makefile: Leave it to RH/CentOS to put the freetds headers in
  a completely nonstandard location.
- logger.c, channels/chan_oss.c: Make logger report
  error,warning,notice if logger.conf not found, also updated
  chan_oss to give correct error message if its config file is not found.
- apps/app_macro.c: Bug 6176 - Fix race condition
- Makefile: don't override ASTERISKVERSIONNUM to 000000 for non-svn builds
- res/res_odbc.c: Fix for (#6309), potential (highly unlikely) memory leak
  in res_odbc
- channels/chan_zap.c: disable buggy PRI user-user code until it can be fixed
- channels/chan_sip.c: Issue 6182 - Don't remove scheduled event
  until it's really done. (reported by malverian)
- channels/chan_sip.c: Issue 6362 - Register without Contact: and Expires:
  fails (reporter: op)
- ast_expr2.h, ast_expr2f.c, ast_expr2.c: Bug 6072 - Revisions to
  the source bison and flex files don't auto-regenerate these files
- channels/chan_zap.c: fix problem with dtmf on e&m (issue #6364)
- channels/chan_sip.c: Issue 5898: Registrations does not get
  deleted if there's an active SIP dialog
- channels/chan_sip.c: don't call ast_update_realtime with
  uninitialized variables if we get a registration with an expirey
  of 0 seconds (issue #6173)
- channels/chan_features.c: fix memory leak (inspired by issue #6351)
* Wed Feb 15 2006 - max@suse.de
- Remove unwanted capi.conf .
* Fri Feb 10 2006 - max@suse.de
- Makefile, keep your hands off -march (#148593).
* Mon Feb 06 2006 - max@suse.de
- Included all subdirs of /var/log/asterisk in file list.
* Mon Jan 30 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan 25 2006 - max@suse.de
- New versions: asterisk-1.2.3, bristuff-0.3.0-PRE-1i .
* Mon Jan 23 2006 - max@suse.de
- New version of the spandsp patch: 0.0.2pre23
* Tue Jan 17 2006 - max@suse.de
- Don't use -fsigned-char on PPC (bug #93872).
* Tue Dec 20 2005 - max@suse.de
- New version: 1.2.1
- New version of the bristuff patch: 0.3.0-PRE-1c
- New version of the spandsp patch: 0.0.2pre21
* Thu Aug 11 2005 - max@suse.de
- New version of the bristuff patch: 0.2.0-rc8n
* Tue Jul 19 2005 - max@suse.de
- Disabled the mmx assembler stuff in gsm again.
* Mon Jul 18 2005 - max@suse.de
- New version 1.0.9
- New version of the bristuff patch: 0.2.0-rc8j
* Thu Apr 14 2005 - pth@suse.de
- remove a bogus non-static declaration that conflicts with a
  static one.
* Mon Mar 07 2005 - max@suse.de
- New version of the bristuff patch: 0.2.0-rc7k
* Mon Feb 28 2005 - max@suse.de
- New version: 1.0.6.
- New version of the bristuff patch: 0.2.0-rc7i
- New version of the spandsp patch: 0.0.2pre10
* Thu Jan 13 2005 - max@suse.de
- New version: 1.0.3.
- New version of the bristuff patch: 0.2.0-rc3a
- New version of the spandsp patch: 0.0.2pre8
* Fri Nov 26 2004 - max@suse.de
- Update spandsp patch to version 0.0.2pre6
* Fri Nov 05 2004 - max@suse.de
- New version: 1.0.2
- New version of the bristuff patch: 0.2.0-rc2
- New version of the spandsp patch: 0.0.2pre4
* Tue Oct 05 2004 - max@suse.de
- Fixed location of pid file in init script [Bug #46859].
- Added the /var/log/asterisk/cdr-csv directory to the package.
* Wed Sep 29 2004 - max@suse.de
- Added /usr/sbin/useradd to PreReq [Bug #46487].
* Wed Sep 29 2004 - max@suse.de
- /var/lib/asterisk also needs to be owned by the asterisk user.
* Tue Sep 21 2004 - max@suse.de
- Creating a user named asterisk during installation under which
  the asterisk server will be run and who will own the config
  files and asterisk's /var/log, /var/spool, and /var/run areas.
- Added asterisk as a prerequirement to all subpackages to make
  sure the user exists when the package is installed.
* Mon Sep 13 2004 - ro@suse.de
- Fix usage of __P (patch from db1 package)
* Mon Sep 06 2004 - max@suse.de
- Created a separate source package for asterisk-capi.
* Fri Aug 20 2004 - max@suse.de
- Update bristuff patch to version 0.1.0-RC4a
- Update to CVS snapshot from 2004-08-14.
- Use platform independent names for linking against libpt and
  libopenh323.
- Temporarily disablied building of H.323 support due to
  incompatible changes in openh323.
* Mon Aug 16 2004 - ro@suse.de
- try to fix build on x86_64 and ia64
* Fri Aug 13 2004 - max@suse.de
- Update asterisk to CVS snapshot of 2004-08-12
- Enable H.323 support
- Put modules with external library dependencies into subpackages
- Update bristuff patch to version 0.1.0-RC3
* Wed Jul 28 2004 - max@suse.de
- Fixed db on ppc64.
- Removed some more bogus -march switches.
- Disables loading of the CAPI modules by default.
- Added init script.
* Fri Jul 23 2004 - max@suse.de
- Update asterisk to CVS snapshot from 2004-07-22
- Update chan_capi to version 0.3.4b
- Update bristuff patch to version 0.1.0-RC2
* Thu Jul 08 2004 - max@suse.de
- Don't try to be clever on detecting optimization, rpmbuild
  provides us with the necessary flags.
- Don't build chan_capi on s390/s390x, because there is no CAPI
  support on these platforms.
* Wed Jun 23 2004 - max@suse.de
- New package: Asterisk (CVS snapshot from 2004-10-05).
  Asterisk a complete PBX in software (www.asterisk.org).
- Added chan_capi for using CAPI devices as Asterisk channels.
- Added patch to support softfax using the spandsp library.
- Added bristuff patches to support BRI ISDN cards using libpri.
